Subject: Re: rxvt dialog at shutdown suggests failure to exit due to ssh-agent?
From: David Starks-Browning <[email-masked]>
To: Jim Kleckner <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Feb 2003 16:35:26 +0000

On Thursday 20 Feb 03, Jim Kleckner writes:
> Thank you for the suggestion.
> 
> David Starks-Browning wrote:
> 
> > On Wednesday 19 Feb 03, Jim Kleckner writes:
> [snip]
> > If *all* shells source that line, then you have the problem that the
> > first one to exit will kill ssh-agent, and maybe you don't want that.
> > You could put something a bit more sophisticated in your .bash_profile
> > (or whatever) to identify a "master" shell, depending on your
> > requirements.
> 
> Unfortunately, this is exactly what keychain is for -
> to start the agent in one shell and then share access
> from many shells.  I start up and shut down many rxvt/bash
> shells during the day without having to provide my
> passphrase.  Stopping the agent with keychain is easy by
> just typing "keychain -k".  I forget to do that just
> about every time.

Your exit trap function could be something that checks to see if it's
the last rxvt window remaining, and if so, runs "keychain -k".

(I agree, this is a workaround.  It would be nicer if ssh-agent would
die quickly and quietly at Windows logout or shutdown.  I don't know
if that's possible.)

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/